/****************************************************************************
 *																			*
 *							universelle RFM12 lib							*
 *																			*
 *								Version 0.9									*
 *																			*
 *								 by Benedikt								*
 *																			*
 *						Email:	benedikt83 t gmx.net						*
 *																			*
 ****************************************************************************
 *																			*
 *	Die Software darf frei kopiert und verndert werden, solange sie nicht	*
 *	ohne meine Erlaubnis fr kommerzielle Zwecke eingesetzt wird.			*
 *																			*
 ***************************************************************************/

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>
#include <avr/sleep.h>
#include <stdlib.h>
#include <portbits.h>
#include "global.h"
#include "uart.h"
#include "rf12.h"

#define F_CPU 10000000UL
#include <util/delay.h>

#define CHANNEL			1			// Sende/Empfangskanal (0-3) (nur gltig wenn kein DIP Schalter verwendet wird)
#define RF_BAUDRATE		20000		// Baudrate des RFM12 (nur gltig wenn kein DIP Schalter verwendet wird)
#define UART_BAUDRATE	19200		// Baudrate des UARTs (nur gltig wenn kein DIP Schalter verwendet wird)

int main(void)
{
	PORTD=255;
	DDRD=230;
	DDRC=255;

	sei();
	rf12_init();									// ein paar Register setzen (z.B. CLK auf 10MHz)

    uart_init(UART_BAUD_SELECT(UART_BAUDRATE, F_CPU));
	rf12_config(RF_BAUDRATE, CHANNEL, 0, QUIET);	// Baudrate, Kanal (0-3), Leistung (0=max, 7=min), Umgebungsbedingungen (QUIET, NORMAL, NOISY)

	for (;;)
	{	if (uart_data())					// Daten im UART Empfangspuffer ?
		{	if (!rf12_busy())					// Modul gerade beschftigt ?
				rf12_putc(uart_getchar());	// Wenn nicht, dann Byte vom UART Empfangspuffer in den RF12 Sendepuffer kopieren
		}	
		if (rf12_data())					// Daten im RF12 Empfangspuffer ?
			uart_putc(rf12_getchar());		// Wenn ja, dann Byte vom RF12 Empfangspuffer in den UART Sendepuffer kopieren
	}
}


